activesupport testsuite fails #1931

Closed
voxik opened this Issue Jul 1, 2011 · 4 comments

2 participants

@voxik

Running activesupport 3.0.9 testsuite fails:

  1) Failure:
test_to_yaml(TimeWithZoneTest)
    [./test/core_ext/time_with_zone_test.rb:109:in `test_to_yaml'
     /usr/lib/ruby/gems/1.8/gems/mocha-0.9.8/lib/mocha/integration/test_unit/ruby_version_186_and_above.rb:19:in `__send__'
     /usr/lib/ruby/gems/1.8/gems/mocha-0.9.8/lib/mocha/integration/test_unit/ruby_version_186_and_above.rb:19:in `run']:
<"--- 1999-12-31 19:00:00 -05:00\n"> expected but was
<"--- 2000-01-01 00:00:00 Z\n">.

What is going wrong here? Testing with Fedora Rawhide, Ruby 1.8.7-p334

@dmathieu

I have no failure in the 3-0-stable branch.
The tag 3.0.9 has two though, in time_with_zone_test. Are you running the tests on the 3-0-stable branch ?

@voxik

I have took activesupport 3.0.9 gem and run tests from v3.0.9 branch against the gem. Looking into changes in stable, I can't see any relevant commit which could fix the issue.

@voxik

Sorry for the noise. I was using older version of test suite accidentally :/

@voxik voxik closed this Jul 4, 2011
@dmathieu

When running the tests on activesupport, you shouldn't use the gem library, but directly the git repository (and checkout on the branch/tag of the version on which you want to be). This way, you'll always be on the proper version.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment